List Product Prices by Group

Returns all product prices associated with the specified Group.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This will return all of the pricing for a specific product group. Many products in our catalog refer to their individual groups as a "set".

{
  "success": true,
  "errors": [
    "string"
  ],
  "results": [
    {
      "productId": 0,
      "lowPrice": 0,
      "midPrice": 0,
      "highPrice": 0,
      "marketPrice": 0,
      "directLowPrice": 0,
      "subTypeName": "string"
    }
  ]
}
/pricing/group/2324

{
    "success": true,
    "errors": [],
    "results": [
        {
            "productId": 175065,
            "lowPrice": 43.77,
            "midPrice": 44.99,
            "highPrice": 49.99,
            "marketPrice": 41.82,
            "directLowPrice": null,
            "subTypeName": "Normal"
        },
        {
            "productId": 175066,
            "lowPrice": 5.75,
            "midPrice": 6.99,
            "highPrice": 7.01,
            "marketPrice": 6.37,
            "directLowPrice": null,
            "subTypeName": "Normal"
        },
Path Params
int32
required

Id of the group to return product prices for.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

400

Group Id is less than or equal to zero.

404

No product prices found for the specified Group.

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/json